Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.get_imag

method

ma.masked_array.get_imag()

  The imaginary part of the masked array.

  This property is a view on the imaginary part of this MaskedArray.

  See also

  `real`

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([1+1.j, -2j, 3.45+1.6j], mask=[False, True, False])
      >>> x.imag
      masked_array(data=[1.0, --, 1.6],
                   mask=[False,  True, False],
             fill_value=1e+20)